[Supertux-Commit] r5487 - trunk/setup2x

matzeb at millhouse.dreamhost.com matzeb at millhouse.dreamhost.com
Fri May 16 14:33:57 PDT 2008


Author: matzeb
Date: 2008-05-16 14:33:56 -0700 (Fri, 16 May 2008)
New Revision: 5487

Added:
   trunk/setup2x/curl.sh
Modified:
   trunk/setup2x/physfs.sh
   trunk/setup2x/setup.sh
Log:
we need libcurl too

Added: trunk/setup2x/curl.sh
===================================================================
--- trunk/setup2x/curl.sh	                        (rev 0)
+++ trunk/setup2x/curl.sh	2008-05-16 21:33:56 UTC (rev 5487)
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+. `dirname "$0"`/common || exit 1
+
+PKG="curl"
+MARKER="$BASEDIR/.${PKG}_is_built"
+if [ -e "$MARKER" ]; then
+	echo "$PKG seems to be already build, remove $MARKER to rebuild"
+	exit 0
+fi
+
+CURL_VERSION="7.18.1"
+CURL_FILE="$DOWNLOAD_DIR/curl-$CURL_VERSION.tar.bz2"
+URL="http://curl.haxx.se/download/curl-$CURL_VERSION.tar.bz2"
+CONFIGURE_FLAGS="--prefix=$PREFIX --without-ssl --without-libssh2 --disable-crypto-auth --disable-cookies --disable-ldap --disable-ldaps --disable-dict --disable-telnet --disable-tftp --disable-manual --disable-ipv6 --disable-ares --disable-sspi"
+download "$URL" "$CURL_FILE"
+execute tar -xf "$CURL_FILE"
+execute pushd curl-"$CURL_VERSION"
+execute "$BASEDIR/configure2x" $CONFIGURE_FLAGS
+execute make
+execute make install
+execute popd
+touch $MARKER


Property changes on: trunk/setup2x/curl.sh
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:eol-style
   + native

Modified: trunk/setup2x/physfs.sh
===================================================================
--- trunk/setup2x/physfs.sh	2008-05-16 21:09:52 UTC (rev 5486)
+++ trunk/setup2x/physfs.sh	2008-05-16 21:33:56 UTC (rev 5487)
@@ -14,7 +14,7 @@
 download "http://icculus.org/physfs/downloads/physfs-$PHYSFS_VERSION.tar.gz" "$PHYSFS_FILE"
 execute tar -xf "$PHYSFS_FILE"
 execute pushd physfs-"$PHYSFS_VERSION"
-execute "$BASEDIR/configure2x" --prefix=/opt/open2x
+execute "$BASEDIR/configure2x" --prefix="$PREFIX"
 execute make
 execute make install
 execute popd

Modified: trunk/setup2x/setup.sh
===================================================================
--- trunk/setup2x/setup.sh	2008-05-16 21:09:52 UTC (rev 5486)
+++ trunk/setup2x/setup.sh	2008-05-16 21:33:56 UTC (rev 5487)
@@ -4,5 +4,6 @@
 
 $BASEDIR/toolchain.sh
 $BASEDIR/libpack.sh
+$BASEDIR/curl.sh
 $BASEDIR/physfs.sh
 $BASEDIR/openal.sh




More information about the Supertux-Commit mailing list